Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.config
Interface Constants

    public interface Constants

System constants

Field Summary
`static String` | `BASE_COMPONENT`
`static String` | `CODESERVER` System property set indicating the address and port of the Webster instance created by this utility, in the form of : http://address:port
`static String` | `GROUPS_PROPERTY_NAME` System property set when to indicate a comma separated list of group names to use
`static String` | `JMX_SERVICE_URL` System property set when this utility binds the JMX PlatformMBeanServer to the RMI Registry
`static String` | `LOCATOR_PROPERTY_NAME` System property set when to indicate a comma separated list of lookup locators
`static String` | `REGISTRY_PORT` System property set when this utility starts an RMI Registry
`static String` | `RMI_HOST_ADDRESS` System property to set and check to determine address to bind to or address bound to

Field Detail

### BASE_COMPONENT

    static final String BASE_COMPONENT

See Also:
  Constant Field Values

### CODESERVER

    static final String CODESERVER

  System property set indicating the address and port of the Webster instance created by this utility, in the form of :

      http://address:port

  See Also:
    Constant Field Values

### REGISTRY_PORT

    static final String REGISTRY_PORT

  System property set when this utility starts an RMI Registry

  See Also:
    Constant Field Values

### JMX_SERVICE_URL

    static final String JMX_SERVICE_URL

  System property set when this utility binds the JMX PlatformMBeanServer to the RMI Registry

  See Also:
    Constant Field Values

### GROUPS_PROPERTY_NAME

    static final String GROUPS_PROPERTY_NAME

  System property set when to indicate a comma separated list of group names to use

  See Also:
    Constant Field Values

### LOCATOR_PROPERTY_NAME

    static final String LOCATOR_PROPERTY_NAME

  System property set when to indicate a comma separated list of lookup locators

  See Also:
    Constant Field Values

### RMI_HOST_ADDRESS

    static final String RMI_HOST_ADDRESS

  System property to set and check to determine address to bind to or address bound to

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.